TR(1)

NUME
tr - convertește sau șterge caractere

SINOPSIS
tr [OPȚIUNE]... ȘIR1 [ȘIR2]

DESCRIERE

Convertește, comprimă sau șterge caracterele de la intrarea standard și scrie rezultatul la ieșirea standard. ȘIR1 și ȘIR2 specifică matricele de caractere MATRICE1 și MATRICE2 care controlează acțiunea.

-c, -C, --complement
    utilizează complementul MATRICE1

-d, --delete
    șterge caractere din MATRICE1, nu le convertește

-s, --squeeze-repeats
    înlocuiește fiecare apariție a unui caracter repetat care este listat în ultima MATRICE specificată, cu o singură apariție a acelui caracter

-t, --truncate-set1
    mai întâi trunchiază MATRICE1 la lungimea MATRICE2

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

MATRICEle sunt specificate ca șiruri de caractere. Majoritatea se reprezintă pe ele însele. Secvențele interpretate sunt:

\NNN
    caracter cu valoare octală NNN (1 până la 3 cifre octale)

\\  bară oblică inversă

\a  CLOPOȚEL auzibil

\b  backspace (mută cursorul, un caracter înapoi, și-l înlocuiește cu caracterul menționat; de exp.: „«/bin/echo -e "Am doi lei"”)

\f  form feed (avansează o linie, punând cursorul, în poziția ultimului caracter al ȘIRului)

\n  linie nouă

\r  retur de caret

\t  tabulator orizontal

\v  tabulator vertical

CARAC1-CARAC2
    toate caracterele de la CARAC1 la CARAC2 în ordine crescătoare

[CARAC*]
    în MATRICE2, copii ale CARAC până la lungimea MATRICE1

[CARAC*REPETĂ]
    REPETĂ copii ale lui CARAC, REPETĂ în octal dacă începe cu 0

[:alnum:]
    toate literele și cifrele

[:alpha:]
    toate literele

[:blank:]
    toate spațiile albe orizontale

[:cntrl:]
    toate caracterele de control

[:digit:]
    toate cifrele

[:graph:]
    toate caracterele imprimabile, fără să includă spațiul

[:lower:]
    toate literele în minusculă

[:print:]
    toate caracterele imprimabile, inclusiv spațiul

[:punct:]
    toate caracterele de punctuație

[:space:]
    toate spațiile albe orizontale sau verticale

[:upper:]
    toate literele în majusculă

[:xdigit:]
    toate cifrele hexazecimale

[=CARAC=]
    toate caracterele care sunt echivalente cu CARAC

Conversia are loc dacă -d nu este dată și dacă apar atât ȘIRUL1, cât și ȘIRUL2. -t este semnificativă numai în cazul conversiei. MATRICEA2 este extinsă la lungimea MATRICEI1 prin repetarea ultimului caracter al acesteia, după cum este necesar. Caracterele în exces din MATRICEA2 sunt ignorate. Clasele de caractere se extind într-o ordine nespecificată; în timpul conversiei, „[:lower:]” și „[:upper:]” pot fi utilizate în perechi pentru a specifica conversia între majuscule și minuscule. Comprimarea are loc după conversie sau ștergere. Argumentele precum '[...]' trebuie să fie puse între ghilimele, pentru a evita potențialele erori de globalizare (modele de căutare cu caractere joker) ale shell-ului.

ERORI

Suportul complet este disponibil numai pentru localizările sigure cu un singur octet, în care fiecare octet de intrare posibil reprezintă un singur caracter. În sistemele GNU, localizarea C este sigură, astfel încât puteți evita această problemă în shell rulând LC_ALL=C tr în loc de tr.

AUTOR
Scris de Jim Meyering.

RAPORTAREA ERORILOR
Raportați erorile la: bug-coreutils@gnu.org
Pagina principală a GNU coreutils: <https://www.gnu.org/software/coreutils/>
Ajutor general pentru utilizarea software-ului GNU: https://www.gnu.org/gethelp/
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

CONSULTAȚI ȘI
Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/tr>
sau local rulând comanda: «info '(coreutils) tr invocation'»

Împachetat de Debian (9.10-1)
Drepturi de autor © 2026 Free Software Foundation, Inc.
Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți.
Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.